/// <reference types="pcore-pconnect-typedefs" />
import { OnInit, OnDestroy } from '@angular/core';
import { FormControl, FormGroup } from '@angular/forms';
import { AngularPConnectData, AngularPConnectService } from '../../../_bridge/angular-pconnect';
import { Utils } from '../../../_helpers/utils';
import * as i0 from "@angular/core";
export declare class UserReferenceComponent implements OnInit, OnDestroy {
    private angularPConnect;
    private utils;
    pConn$: typeof PConnect;
    formGroup$: FormGroup;
    angularPConnectData: AngularPConnectData;
    controlName$: string;
    value$: any;
    userName$: string;
    label$: string;
    userID$: string;
    options$: any;
    bReadonly$: boolean;
    bRequired$: boolean;
    showAsFormattedText$?: boolean;
    displayAs$?: string;
    testId: string;
    helperText: string;
    placeholder: string;
    displayMode$?: string;
    fieldControl: FormControl<string | null>;
    constructor(angularPConnect: AngularPConnectService, utils: Utils);
    ngOnInit(): void;
    ngOnDestroy(): void;
    get type(): string;
    onStateChange(): void;
    checkAndUpdate(): void;
    updateSelf(): void;
    fieldOnChange(event: any): void;
    fieldOnBlur(event: any): void;
    getErrorMessage(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserReferenceComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserReferenceComponent, "app-user-reference", never, { "pConn$": { "alias": "pConn$"; "required": false; }; "formGroup$": { "alias": "formGroup$"; "required": false; }; }, {}, never, never, true, never>;
}
